[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDef.Size

Size of the buffer needed to store the data of the field

## Declaration

Source position: db.pas line 200

`published property TFieldDef.Size : Integer read FSize write SetSize default 0;`

## Description

Size indicates the size of the buffer needed to hold data for the field. For types with a fixed size (such as integer, word or data/time) the size can be zero: the buffer mechanism reserves automatically enough heap memory. For types which can have various sizes (blobs, string types), the Size property tells the buffer mechanism how many bytes are needed to hold the data for the field. For BCD fields, the size property indicates the number of decimals after the decimal separator.

## See also

TFieldDef.Precision |  | Precision used in BCD (Binary Coded Decimal) fields
TFieldDef.DataType |  | Data type for the field